aboutsummaryrefslogtreecommitdiffstats
path: root/main/swfdec
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/swfdec
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/swfdec')
-rw-r--r--main/swfdec/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/main/swfdec/APKBUILD b/main/swfdec/APKBUILD
new file mode 100644
index 0000000000..3225d0a463
--- /dev/null
+++ b/main/swfdec/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=swfdec
+pkgver=0.8.4
+pkgrel=1
+pkgdesc="free library for decoding and rendering Flash animations"
+url="http://swfdec.freedesktop.org"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="alsa-lib-dev liboil-dev gtk+-dev libsoup-dev gstreamer-dev
+ gst-plugins-base-dev"
+depends=
+depends_dev="glib-dev liboil-dev cairo-dev pango-dev gtk+-dev libsoup-dev
+ gstreamer-dev gst-plugins-base-dev alsa-lib-dev"
+source="http://$pkgname.freedesktop.org/download/$pkgname/0.8/$pkgname-$pkgver.tar.gz"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --disable-static \
+ --enable-gtk \
+ --enable-gstreamer \
+ --enable-soup \
+ --with-audio=alsa
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="aece501d0e73f3e564200a44ec03c385 swfdec-0.8.4.tar.gz"